# WOK
TKWOK
MS

# MS_Client Class Reference

`#include <MS_Client.hxx>`

Inheritance diagram for MS_Client:

[legend]

## Public Member Functions

Standard_EXPORT | MS_Client (const Handle(TCollection_HAsciiString)&aInterface)
Standard_EXPORT void | Interface (const Handle(TCollection_HAsciiString)&anInterface)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Interfaces () const
Standard_EXPORT void | Method (const Handle(TCollection_HAsciiString)&aMethod)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Methods () const
| The methods declared here will have an asynchronous execution mode. The 'Create' methods are not allowd here. .
Standard_EXPORT void | ComputeTypes (const Handle(MS_HSequenceOfExternMet)&SeqOfExternMet, const Handle(MS_HSequenceOfMemberMet)&SeqOfMemberMet, WOKTools_MapOfHAsciiString &CompleteMap, WOKTools_MapOfHAsciiString &IncompleteMap, WOKTools_MapOfHAsciiString &SemiCompleteMap) const
Standard_EXPORT void | Use (const Handle(TCollection_HAsciiString)&aClient)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Uses () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HSequenceOfHAsciiString | myInterfaces
Handle_TColStd_HSequenceOfHAsciiString | myMethods
Handle_TColStd_HSequenceOfHAsciiString | myUses

## Constructor & Destructor Documentation

Standard_EXPORT MS_Client::MS_Client | ( | const Handle(TCollection_HAsciiString)& | aInterface | ) |

## Member Function Documentation

Standard_EXPORT void MS_Client::ComputeTypes | ( | const Handle(MS_HSequenceOfExternMet)& | SeqOfExternMet,
|  | const Handle(MS_HSequenceOfMemberMet)& | SeqOfMemberMet,
|  | WOKTools_MapOfHAsciiString & | CompleteMap,
|  | WOKTools_MapOfHAsciiString & | IncompleteMap,
|  | WOKTools_MapOfHAsciiString & | SemiCompleteMap
| ) | const

Standard_EXPORT const MS_Client::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_GlobalEntity.

Standard_EXPORT void MS_Client::Interface | ( | const Handle(TCollection_HAsciiString)& | anInterface | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_Client::Interfaces | ( |  | ) | const

Standard_EXPORT void MS_Client::Method | ( | const Handle(TCollection_HAsciiString)& | aMethod | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_Client::Methods | ( |  | ) | const

Standard_EXPORT void MS_Client::Use | ( | const Handle(TCollection_HAsciiString)& | aClient | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_Client::Uses | ( |  | ) | const

## Field Documentation

Handle_TColStd_HSequenceOfHAsciiString MS_Client::myInterfaces `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_Client::myMethods `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_Client::myUses `[private]`

The documentation for this class was generated from the following file:

- MS_Client.hxx